; Notes/Extra Info/#Includes
;------------------------------------------------
; Post to ntfy.sh from your autohotkey scripts

; Original code grabbed copied from: 
; https://www.ahkscript.org/boards/viewtopic.php?t=112869


; Functions
;------------------------------------------------
SendNTFYMessage(title := "", message := "", topicUrl := "", priority := "", tags := "", click := "", token := ""){

	if(topicUrl = ""){
		Return "Post Failed. No topicUrl passed."
	}

	ntfy := ComObjCreate("WinHttp.WinHttpRequest.5.1")
	ntfy.Open("POST", topicUrl, false)

	if(title)
	ntfy.SetRequestHeader("Title", title)

	if(priority)
	ntfy.SetRequestHeader("Priority", priority)

	if(tags)
	ntfy.SetRequestHeader("Tags", tags)

	if(Click)
	ntfy.SetRequestHeader("Click", click)

	if(Token){
		Token := "Bearer " . Token
		ntfy.SetRequestHeader("Authorization", Token)
	}

	try ntfy.Send(message)
	try ntfy.WaitForResponse()

	try status := ntfy.ResponseText
	Return status
}
